<?php

namespace Lavalite\Career;

use DB;
use Illuminate\Database\Seeder;

class CategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('categories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'name'          => 'career.category.view',
                'readable_name' => 'View Category',
            ],
            [
                'name'          => 'career.category.create',
                'readable_name' => 'Create Category',
            ],
            [
                'name'          => 'career.category.edit',
                'readable_name' => 'Update Category',
            ],
            [
                'name'          => 'career.category.delete',
                'readable_name' => 'Delete Category',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'career.category.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
