<?php

namespace Lavalite\Career;

use DB;
use Illuminate\Database\Seeder;

class ResumeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('resumes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'name'          => 'career.resume.view',
                'readable_name' => 'View Resume',
            ],
            [
                'name'          => 'career.resume.create',
                'readable_name' => 'Create Resume',
            ],
            [
                'name'          => 'career.resume.edit',
                'readable_name' => 'Update Resume',
            ],
            [
                'name'          => 'career.resume.delete',
                'readable_name' => 'Delete Resume',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'career.resume.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
