<?php

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/career/job', 'Lavalite\Career\Http\Controllers\JobAdminController');
});

// User routes for job
Route::group(['prefix' => 'user'], function () {
    Route::resource('/career/job', 'Lavalite\Career\Http\Controllers\JobUserController');
});

// Public routes for job
Route::get('career/job', 'Lavalite\Career\Http\Controllers\JobPublicController@index');
Route::get('career/job/{slug?}', 'Lavalite\Career\Http\Controllers\JobPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/career/resume', 'Lavalite\Career\Http\Controllers\ResumeAdminController');
});

// User routes for resume
Route::group(['prefix' => 'user'], function () {
    Route::resource('/career/resume', 'Lavalite\Career\Http\Controllers\ResumeUserController');
});

// Public routes for resume
Route::get('career/resume', 'Lavalite\Career\Http\Controllers\ResumePublicController@index');
Route::get('career/resume/{slug?}', 'Lavalite\Career\Http\Controllers\ResumePublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/career/category', 'Lavalite\Career\Http\Controllers\CategoryAdminController');
});

// User routes for category
Route::group(['prefix' => 'user'], function () {
    Route::resource('/career/category', 'Lavalite\Career\Http\Controllers\CategoryUserController');
});

// Public routes for category
Route::get('career/category', 'Lavalite\Career\Http\Controllers\CategoryPublicController@index');
Route::get('career/category/{slug?}', 'Lavalite\Career\Http\Controllers\CategoryPublicController@show');
